| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# PoolDbKeyedContainerCnv.cpp File Reference

`#include "GaudiKernel/ObjectList.h"`
`#include "GaudiKernel/ObjectVector.h"`
`#include "GaudiKernel/KeyedContainer.h"`
`#include "GaudiKernel/IUpdateable.h"`
`#include "GaudiPoolDb/PoolDbBaseCnv.h"`
`#include "GaudiPoolDb/PoolDbKeyedContainerCnv.h"`
`#include "GaudiKernel/CnvFactory.h"`
`#include "StorageSvc/DbInstanceCount.h"`

Include dependency graph for PoolDbKeyedContainerCnv.cpp:

Go to the source code of this file.

## Functions
| PLUGINSVC_FACTORY_WITH_ID (PoolDbKeyedContainerCnv, ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectVector+0x00030000), IConverter *(long, CLID, ISvcLocator *))
| PLUGINSVC_FACTORY_WITH_ID (PoolDbKeyedContainerCnv, ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectVector+0x00040000), IConverter *(long, CLID, ISvcLocator *))
| PLUGINSVC_FACTORY_WITH_ID (PoolDbKeyedContainerCnv, ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectVector+0x00050000), IConverter *(long, CLID, ISvcLocator *))
| PLUGINSVC_FACTORY_WITH_ID (PoolDbKeyedContainerCnv, ConverterID(POOL_StorageType, CLID_Any|(1<< 31)), IConverter *(long, CLID, ISvcLocator *))

## Function Documentation

PLUGINSVC_FACTORY_WITH_ID | ( | PoolDbKeyedContainerCnv | ,
|  | ConverterID(POOL_StorageType, CLID_Any|(1<< 31)) | ,
|  | IConverter * | (long, CLID, ISvcLocator *) |
| ) |  |  |

PLUGINSVC_FACTORY_WITH_ID | ( | PoolDbKeyedContainerCnv | ,
|  | ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectVector+0x00050000) | ,
|  | IConverter * | (long, CLID, ISvcLocator *) |
| ) |  |  |

PLUGINSVC_FACTORY_WITH_ID | ( | PoolDbKeyedContainerCnv | ,
|  | ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectVector+0x00040000) | ,
|  | IConverter * | (long, CLID, ISvcLocator *) |
| ) |  |  |

PLUGINSVC_FACTORY_WITH_ID | ( | PoolDbKeyedContainerCnv | ,
|  | ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectVector+0x00030000) | ,
|  | IConverter * | (long, CLID, ISvcLocator *) |
| ) |  |  |

## Variable Documentation

ObjectContainerBase* Base

Definition at line 26 of file PoolDbKeyedContainerCnv.cpp.

KeyedContainer<KeyedObject<long>, Containers::Array>* KeyArray

Definition at line 31 of file PoolDbKeyedContainerCnv.cpp.

KeyedContainer<KeyedObject<long>, Containers::HashMap>* KeyHashMap

Definition at line 30 of file PoolDbKeyedContainerCnv.cpp.

KeyedContainer<KeyedObject<long>, Containers::Map>* KeyMap

Definition at line 29 of file PoolDbKeyedContainerCnv.cpp.

ObjectList<ContainedObject>* List

Definition at line 27 of file PoolDbKeyedContainerCnv.cpp.

Referenced by Gaudi::Utils::getProperty().

DataObject* Object

Definition at line 25 of file PoolDbKeyedContainerCnv.cpp.

Referenced by DataOnDemandSvc::execHandler(), and configGenerator::genConfig().

ObjectVector<ContainedObject>* Vector

Definition at line 28 of file PoolDbKeyedContainerCnv.cpp.